
Figure - Bug #117338
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT3】【屏保】在recent页面进入屏保，再从底部上划，recent中的应用卡片有放大效果
2023-04-06 11:19 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-06

Priority: Normal Due date: 2023-04-12

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-15

Test Type: ST Root cause: 编码问题

Description

【测试步骤】

1、进入任务管理器

2、下划打开控制中心，点击屏保

3、在设备进入屏保后，从底部上划

【预期结果】

3、在手指接触到屏幕的瞬间、设备退出屏保

【实际结果】

3、从底部上划，recent中的应用卡片有放大效果

History

#1 - 2023-04-06 13:42 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-04-10 10:27 - CD APP-王营

- Due date set to 2023-04-12

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-04-10 14:37 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

在屏保情况下，Launcher响应了手势情况

解决思路：在block列表中添加屏保的Activity,使其不响应手势事件

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/192693

#4 - 2023-04-10 15:24 - IoT scm

Gerrit Merge Information：
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/192693


ID Project Branch Uploader

192693 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Fixed respond to gesture events in screen saverTC-RID: 1201-0205201IssueID: TS-R-BUG-117338Change-Id:

I1629a613cb01ccc2021fa6593625cd915f07dfad

#5 - 2023-04-10 15:25 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-11

- Root cause set to AOSP问题

#6 - 2023-04-11 13:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

4.11

验证通过

#7 - 2023-04-11 13:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2023-04-13 13:53 - CD TEST-方永红

- Status changed from CLOSED to New

- Assignee changed from CD TEST-方永红 to CD APP-王宏

4.13

0091版本复现

#9 - 2023-04-13 17:40 - CD APP-王宏

- Root cause changed from AOSP问题 to 编码问题

■ Current conclusion

已提交

■ My analysis

后续的修改影响到了RunningTask的逻辑，且小窗存在情况下获取不到屏保的task，现修改方案如下：

获取当前最前面的activity，如果是屏保，则拦截下来，不响应手势事件

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193554

#10 - 2023-04-13 18:08 - CD APP-王宏
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193554


请和 https://share.thundersoft.com/redmine/issues/117341 一起测试

#11 - 2023-04-13 19:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193554 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Fixed respond to gesture events in screen saverTC-RID: 1201-0205201IssueID: TS-R-BUG-117338Change-Id:

Icb441d84e13a2d8501eaa6261f20419a68a204d3

#12 - 2023-04-13 19:07 - CD APP-王宏

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- Fixed Version changed from 2023-04-11 to 2023-04-14

#13 - 2023-04-14 15:51 - CD APP-王宏

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

#14 - 2023-04-14 16:32 - CD APP-王宏

- Fixed Version changed from 2023-04-14 to 2023-04-15

■ Current conclusion

已提交

■ My analysis

由于小窗会强行移动到首个Activity,导致处于recent中，进入屏保状态下拿不到屏保的Activity,现改用广播的形式监听屏保状态

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193884

#15 - 2023-04-14 17:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193884 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Fixed respond to gesture events in screen saverTC-RID: 1201-0205201IssueID: TS-R-BUG-117338Change-Id:

I634b4183fd8bdb7a67d971831c5243277283caf1

#16 - 2023-04-14 17:22 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#17 - 2023-04-18 18:02 - CD TEST-方永红
https://share.thundersoft.com/redmine/issues/117341
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193884


- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103) to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

4.18

验证通过

#18 - 2023-04-18 18:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-04-06 11-18-19.mp4 19.7 MB 2023-04-06 CD TEST-方永红
